- name: Dev - Section TMAU - Estimated & Recorded Sum of Dev Section SMAU
  base_path: "/handbook/product/performance-indicators/"
  definition: A sum of all SMAUs across the three stages in the Dev Section (Manage,
    Plan, and Create) for All users and Paid users.
  target: Estimated TMAU growth 4% MoM; 2.73M by end of FY21Q4 for TMAU, 603K by end of FY21Q4 for Paid TMAU
  org: Dev Section
  section: dev
  public: true
  pi_type: Section TMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - As expected, we saw a large jump in Optimize SMAU (38k=>107k) as more customers upgrade to 13.5+
    - TMAU is exceeding the target by about 100k users, but SaaS growth only 2.8% (under 4% target) due to flat Plan SMAU and under target Create SMAU. However, paid TMAU for SaaS grew 5%, beating the target of 4% by 20% total.
    - Insight - instances with large amounts of users are unlikely to upgrade immediately, typically taking a few months to do so. So, our larger instances were likely counted as estimated earlier and as the larger instances upgrade, what we'll likely see is that estimated uplift was under reported early. It's difficult to tell if it will be over reported as our largest self-managed instances are unlikely to ever report back. It will be interesting to see how the uplifts change when we base the uplift on users instead of subscriptions.
    - Improvement - For All Usage, address the [problems](https://gitlab.com/groups/gitlab-org/-/epics/4104)
      that emerged out of the Category Maturity Scorecard exercise for Issue Tracking
      and continue making progress on [usability improvements](https://gitlab.com/groups/gitlab-org/-/epics/3216)
      for existing Plan features.
    - Improvement - For All Usage, Merge Request [usability improvements](https://gitlab.com/groups/gitlab-org/-/epics/3607)
    - Improvement - For All Usage, [MR reviewers](https://gitlab.com/gitlab-org/gitlab/-/issues/237921) will make us more competitive with GitHub and should help with the lovability of assigning merge requests
    - Improvement - For All Usage, [Iterations in GitLab](https://gitlab.com/groups/gitlab-org/-/epics/2422) will make plan more usable for many Agile development teams
    - Improvement - For Paid Usage, [Epic Boards](https://gitlab.com/groups/gitlab-org/-/epics/4117) will allow for much better portfolio management via boards
    - Improvement - For Paid Usage, [SSO Group Sync](https://gitlab.com/gitlab-org/gitlab/-/issues/118)
    - Improvement - For All Usage, [Workspaces](https://gitlab.com/groups/gitlab-org/-/epics/4257)
    - Improvement - For All Usage, [Groups/Project Simplification](https://gitlab.com/groups/gitlab-org/-/epics/2885)
    - Improvement - For All Usage, [Settings and Navigation improvements](https://gitlab.com/groups/gitlab-org/-/epics/4831)
  implementation:
    status: Complete
    reasons:
  metric_name: issues, action_monthly_active_users_project_repo, analytics_unique_visits_for_any_target
  sisense_data:
    chart: 9982128
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10138877
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 9992267
    dashboard: 758607
    embed: v2

- name: Manage, Manage:Optimize - SMAU, GMAU - MAU Viewing Analytics Features
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users viewing any <a href="https://docs.gitlab.com/ee/user/analytics/">Analytics page</a>.
  target: 40,150 per month (SaaS only). As of the November usage ping, self-managed data is now available. A self-managed target is [under discussion](https://gitlab.com/gitlab-org/gitlab/-/issues/292671).
  org: Dev Section
  section: dev
  stage: manage
  group: analytics
  public: true
  pi_type: SMAU, GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insights - Self-managed data started showing up in October, but November data provides much more insight into Optimize feature usage in self-managed instances. Recorded self-managed data shows that usage is slightly behind SaaS usage, but the Estimated Self-Managed Uplift puts the self-managed usage at almost double SaaS. 
    - Insights - Based on the SaaS increases in October and November, feature adoption is right on track to reach the FY21Q4 goal by January 31.
    - Improvements - There are a number of features in flight that provide instance-level insights for managers and leadership. Provided that we can raise awareness of new features such as Usage Trends (added in 13.6) and DevOps Adoption (coming in 13.7), we should see an uptake in visits to these pages. There has been strong interest from enterprise customers wanting insights into how GitLab is being used in their organizations.
    - Improvements - Access to the new instance-level features are still restricted to Administrators on self-managed instances. To increase availability and usage of these features, they will be [moved back to the More menu](https://gitlab.com/gitlab-org/gitlab/-/issues/276912#note_463462098) as an interim solution. In the longer term, we will look at making them available through [Workspaces](https://gitlab.com/groups/gitlab-org/-/epics/4257). 
  implementation:
    status: Complete
  metric_name: analytics_total_unique_counts_monthly
  sisense_data:
    chart: 10039390
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039413
    dashboard: 758607
    embed: v2

- name: Manage:Access - Paid GMAU - MAU Using Paid SAML
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users logging into GitLab using SAML SSO for Groups.
  target: 30000. See https://gitlab.com/gitlab-com/Product/-/issues/1832 for further detail.
  org: Dev Section
  section: dev
  stage: manage
  group: access
  public: true
  pi_type: Paid GMAU
  product_analytics_type: SaaS
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Improvements - Released MVC for [SSO group sync for GitLab.com](https://gitlab.com/gitlab-org/gitlab/-/issues/118). Just missed the release post deadline but it will be announced in 13.7.
    - Improvements - Released [OneLogin support for SCIM and SAML](https://gitlab.com/gitlab-org/gitlab/-/issues/32369). Documentation was not ready in time for 13.6 release post due to vendor dependency but it will be announced in 13.7. 
    - Improvements - Implemented a [7 day timeout for Group SAML SSO](https://gitlab.com/gitlab-org/gitlab/-/issues/217367) on Dec 1. Previously users would only need to sign-in via SSO if they logged out of GitLab. Now users will need to go through SAML sign-in every 7 days even if their GitLab session is still active.
    - Improvements - Allow group owners to [bypass SSO enforcement](https://gitlab.com/gitlab-org/gitlab/-/issues/211962) to prevent accidental lockout during the SAML setup process.
    - Insights - We should have closer to 30k group SAML logins per month. You can find more details describing why in this [issue](https://gitlab.com/gitlab-com/Product/-/issues/1832). I've set that to be the target for this quarter. 
    - Insights - We still have room to improve group SAML SSO adoption. A longer term goal is to increase usage to 50k SAML logins per month. You can find more details in this [issue](https://gitlab.com/gitlab-com/Product/-/issues/1832)
  implementation:
    status: Complete 
    reasons:
  metric_name: user_auth_by_provider (max value)
  sisense_data:
    chart: 10039419
    dashboard: 758607
    embed: v2
- name: Manage:Compliance - Paid GMAU - MAU Viewing Compliance Features
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users viewing Audit Events, Compliance Dashboard,
    or Credential Inventory.
  target: TBD
  org: Dev Section
  section: dev
  stage: manage
  group: compliance
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 1
    reasons:
    - We're still [building out the compliance features](https://gitlab.com/gitlab-org/manage/compliance/general/-/issues/13) that are tracked by this metric. This improvement work will take longer than desired to complete since we do not have enough people to ship any faster. We expect iterations to ship on a continuous basis across each of these features.
    - Setting a target is premature since we're still collecting initial data. We would like to collect a total of 6 months worth of data before setting a target. 
    - Adding a [Change Management view](https://gitlab.com/groups/gitlab-org/-/epics/4802) to the Compliance Dashboard. Planned for `Q2 2021`.
    - Improving PAT & SSH [credential management](https://gitlab.com/groups/gitlab-org/-/epics/3084). Ongoing with expected epic completion in `Q2 2021`.
    - Adding [additional credentials](https://gitlab.com/groups/gitlab-org/-/epics/4110) to the credential inventory. Planned for `Q3 2021`
    - Improving [discoverability](https://gitlab.com/groups/gitlab-org/-/epics/4441) of Compliance features. Planned for `Q2 2021`.
  implementation:
    status: Complete 
    reasons:
  metric_name: i_compliance_audit_events, g_compliance_audit_events, g_compliance_dashboard, i_compliance_credential_inventory, usage_data_g_compliance_dashboard, usage_data_a_compliance_audit_events_api
  sisense_data:
    chart: 9980315
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039422
    dashboard: 758607
    embed: v2
    
- name: Manage:Compliance - Other - Projects Marked with a Compliance Framework
  base_path: "/handbook/product/performance-indicators/"
  definition: New and cumulative number of projects using compliance frameworks.
  target: 1,030 total new projects in Q4 using compliance frameworks (SaaS and self-managed combined)
  org: Dev Section
  section: dev
  stage: manage
  group: compliance
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - We're [investigating](https://gitlab.com/gitlab-data/analytics/-/issues/7302) the sudden data disruption for this chart.
    - In Q3 we saw 936 new projects use compliance frameworks. These were a limited selection of 5, hard-coded options. We are targeting a 10% increase in adoption by making these frameworks [customizable](https://gitlab.com/gitlab-org/gitlab/-/issues/255340)
    - Additionally, we're using a conservative target for now while we focus on [several improvements](https://gitlab.com/groups/gitlab-org/-/epics/4082) to the underlying feature that drives this metric.
    - We're iterating on [compliance framework labels](https://gitlab.com/groups/gitlab-org/-/epics/4082) to give them more utility and solve several standardization and enforcement problems for customers. [Next iteration](https://gitlab.com/gitlab-org/gitlab/-/issues/255340) expected in `13.7`.
  implementation:
    status: Complete
    reasons:
  metric_name: projects_with_compliance_framework
  sisense_data:
    chart: 9071082
    dashboard: 663045
    embed: v2

- name: Manage:Import - GMAU - MAU importing
  base_path: "/handbook/product/performance-indicators/"
  definition: A monthly count of the unique number of users performing an import.
  target: TBD - See Health section below for details
  org: Dev Section
  section: dev
  stage: manage
  group: import
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - No target defined yet.
    - Target will be defined after the [metric instrumentation](https://gitlab.com/gitlab-org/gitlab/-/issues/283175) is implemented.
    - Improvement - Reducing friction for GitLab-to-GitLab migrations - The [MVC for the Group Migration feature](https://gitlab.com/groups/gitlab-org/-/epics/4374) which allows a much easier migration of an entire GitLab group will be delivered in `13.7`.
    - Improvement - Unblocking large migrations in progress - Customer migration was unblocked by [fixing the missing Merge Request during Project Import](https://gitlab.com/gitlab-org/gitlab/-/issues/285488).
    - Improvement - Unblocking large migrations in progress - Customers who require that the merge requests authors are imported from GitHub will be able to use the GitHub Importer after [this feature](https://gitlab.com/gitlab-org/gitlab/-/issues/30731) is added in `13.7`.
    - Improvement - Critical bug fixes - Importing projects from a template will [no longer fail](https://gitlab.com/gitlab-org/gitlab/-/issues/284498) when multiple jobs are kicked off at the same time.   
    - Improvement - Critical bug fixes - GitHub imports with LFS will complete successfully, once [this issue](https://gitlab.com/gitlab-org/gitlab/-/issues/289669) is fixed in `13.7`.
  implementation:
    status: Instrumentation
    reasons:
    - Instrumentation [originally completed](https://gitlab.com/gitlab-org/gitlab/-/issues/235424) in `13.5` looked incorrect (numbers very high) when reviewed in November. [Investigation](https://gitlab.com/gitlab-org/gitlab/-/issues/281604) of the data concluded that the original instrumentation was not implemented correctly and a [new instrumentation issue](https://gitlab.com/gitlab-org/gitlab/-/issues/283175) was created to fix the metric. 
    - Manage:Import has been focused on supporting the ProServ team with a large customer migration, which has been a blocker to progress on directional and instrumentation issues. 
    - Due to the current constraint in the throughput on the Manage:Import Backend Engineering team and an increased volume of escalations from Support and the ProServ team, the new instrumentation issue is expected at the earliest in `13.8`. 
  metric_name: unique_users_all_imports (WIP - https://gitlab.com/gitlab-org/gitlab/-/issues/283175)
  
- name: Manage:Import - Other - Share of New Projects Imported
  base_path: "/handbook/product/performance-indicators/"
  definition: Share of projects created via import within 90 days of the namespace's
    creation.
  target: TBD - See Health section below for details
  org: Dev Section
  section: dev
  stage: manage
  group: import
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - No target defined yet
    - Target will be defined once the dashboard is [updated](https://gitlab.com/gitlab-data/analytics/-/issues/4244) with the improved metric (for both Saas and self-managed).
    - Improvement - Reducing friction for GitLab-to-GitLab migrations - The [MVC for the Group Migration feature](https://gitlab.com/groups/gitlab-org/-/epics/4374) which allows a much easier migration of an entire GitLab group will be delivered in `13.7`.
    - Improvement - Unblocking large migrations in progress - Customer migration was unblocked by [fixing the missing Merge Request during Project Import](https://gitlab.com/gitlab-org/gitlab/-/issues/285488).
    - Improvement - Unblocking large migrations in progress - Customers who require that the merge requests authors are imported from GitHub will be able to use the GitHub Importer after [this feature](https://gitlab.com/gitlab-org/gitlab/-/issues/30731) is added in `13.7`.
    - Improvement - Critical bug fixes - Importing projects from a template will [no longer fail](https://gitlab.com/gitlab-org/gitlab/-/issues/284498) when multiple jobs are kicked off at the same time.   
    - Improvement - Critical bug fixes - GitHub imports with LFS will complete successfully, once [this issue](https://gitlab.com/gitlab-org/gitlab/-/issues/289669) is fixed in `13.7`.gitlab/-/issues/30731) is added in `13.7`.
  implementation:
    status: Dashboard
    reasons:
    - Instrumented for [both GitLab.com and self-managed](https://gitlab.com/gitlab-org/gitlab/-/issues/224758) in `13.6`.
    - Dashboard [update](https://gitlab.com/gitlab-data/analytics/-/issues/4244) is currently in progress.
  metric_name: TBD 
  sisense_data:
    chart: 9653492
    dashboard: 704542
    embed: v2

- name: Plan, Plan:Project Management - SMAU, Paid GMAU - MAU Interacting With Issues
  base_path: "/handbook/product/performance-indicators/"
  definition: Number of unique users interacting with an issue (open, close, reopen,
    adjust label, adjust milestone, adjust weight, comment) 
  target: 437,490 for All, 101,835 for Paid 
  org: Dev Section
  section: dev
  stage: plan
  group: project_management
  public: true
  pi_type: SMAU, Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Result - Surpassed GMAU goal of 196k (and 200k benchmark) recorded Self-Managed + SaaS SMAU. Set a new target for Q4 inclusive of estimated self-managed uplift.
    - Driver - Iterations, Epic Swimlanes, Roadmap enhancements, Epic Boards, and Plan feature parity between an Instance, Group, and Project should drive wider adoption for Plan - especially Paid SMAU - over the next 3-6 months.
    - Improvement - For All, work towards addressing the [problem areas](https://gitlab.com/groups/gitlab-org/-/epics/4104)
      that emerged out of the Category Maturity Scorecard exercise for Issue Tracking.
    - Improvement - For All, continue making progress on [quality of life improvements](https://gitlab.com/groups/gitlab-org/-/epics/3216) for existing features. 
    - Improvement - For Paid, continue high level progress on [achieving feature parity between an Instance, Group, and Project](https://gitlab.com/groups/gitlab-org/-/epics/2885), [making issues more extensible](https://gitlab.com/groups/gitlab-org/-/epics/3354),and continuing to make incremental progress on [iterations](https://gitlab.com/groups/gitlab-org/-/epics/2422).
    - Improvement - For Paid, creating multi-level Epics spanning a Group hierarchy is clunky and non-intuitive. Improving this, along with making the Roadmap more interactive and intuitive would be a huge catalyst to drive Product Planning adoption. 
    - Improvement - For Paid, continue making incremental, iterative progress towards [Plan's core JTBD](/direction/plan/#problem-and-jobs-to-be-done) as outlined in the [Issue Tracking direction](/direction/plan/issue_tracking/).
    - Insight - [In Sep and Oct, MAU growth within existing instances far outpaced attrition](https://app.periscopedata.com/app/gitlab/740233/MP:-Dev-Section-WIP?widget=10225971&udv=0), which is a strong signal of sustainable, organic adoption. More analysis is needed to filter by tier and identify top paying customers with elevated attrition and/or growth. 
    - Insight - During Q3, SaaS Trial users that interacted with Plan increased from 17% to 33% (94%). This is a strong signal that Plan is becoming more of a key consideration during the initial sales cycles.
    - Insight - Plan adoption by version has improved from [33% in 12.7 to 45% in 13.4](https://app.periscopedata.com/app/gitlab/667053/WIP-Plan:-Project-Management-Dasboard?widget=9114742&udv=1029472) -- which represents a net improvement in adoption of 36% over the last 10 releases. 
  implementation:
    status: Complete
    reasons:
    - Updating dashboard to combine both Paid / All usage.
    - Implementation - Completed adding [interaction events from self-managed](https://gitlab.com/gitlab-org/gitlab/-/issues/229918) which allows us to count unique users performing multiple actions within Issues.
    - Implementation - Next we are working on enhancing current xMAU reporting to include aggregate distinc counts. We need to figure out how to [gracefully transition to the new counter](https://gitlab.com/gitlab-data/analytics/-/issues/6684) without perceived xMAU loss. 
  metric_name: redis_hll_counters.issues_edit.issues_edit_total_unique_counts_monthly 
  sisense_data:
    chart: 9967544
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980295
    dashboard: 758607
    embed: v2
  urls:
  - https://about.gitlab.com/direction/plan/issue_tracking/
  - https://app.periscopedata.com/app/gitlab/722212/Plan:-Project-Management-GMAU

- name: Plan:Product Planning - Paid GMAU - MAU creating Epics each Month
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users creating Epics each month.
  target: 3,900 Combined Unique Users for Self Managed and SaaS
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - GMAU is steadily rising with a known dip in August and Nov/Dec due to holidays. 
      [Monthly epic creation hit an all time high of +7100 in October](https://app.periscopedata.com/app/gitlab/602355/Portfolio-Management-G-SMAU-and-Feature-Success-Tracking?widget=9245316&udv=962108) and this was underscored 
      by a [jump in epic creation by Ultimate and Premium self managed customers](https://app.periscopedata.com/app/gitlab/602355/Product-Planning-G-SMAU-and-Feature-Success-Tracking?widget=7941113&udv=0) 
    - Improvement - [Epic Swimlanes](https://gitlab.com/groups/gitlab-org/-/epics/3352) shipped in 
      13.6 and we feel they be a significant driver of MAU growth for Product Planning nearterm (n2m) - giving 
      visibility to the feature on boards and adding additional value to better visualize your in-flight issues 
      through swimlanes.
    - Improvement - [Epic Boards](https://gitlab.com/groups/gitlab-org/-/epics/2864) should continue the trend into the end of
      FY21 by enabling Portfolio-level planning.  
  implementation:
    status: Complete
    reasons:
    - Dashboarding - we've instrumented core metrics but are looking to expand the
      MAU definition to include all epic usage, not just creation, for a more accurate
      GMAU metric - [Issue](https://gitlab.com/gitlab-data/analytics/-/issues/5280). 
    - 2020-12 update - we are continuing to identify the [additional instrumentation](https://gitlab.com/gitlab-org/gitlab/-/issues/292253) needed to accomplish this. 
  metric_name: epics 
  sisense_data:
    chart: 9980303
    dashboard: 758607
    embed: v2
  urls:
- name: Plan:Certify - Paid GMAU - MAU Interacting with Requirements
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users interacting (create, view, reference) each
    month
  target: TBD
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Note - Certify will no longer collapse under the Product Planning group. Therefore, we're still surfacing "Other" metrics to track Requirements Management growth and we will re-prioritize implementation of this metric. 
    - Dashboarding not implemented yet so health is a proxy of our Certify's "other"
      metric and adhnoc anlaysis. [Tracking issue](https://gitlab.com/gitlab-data/analytics/-/issues/5270)
    - Improvement - UX improvements for [Requirements Management](https://gitlab.com/groups/gitlab-org/-/epics/3708)
      based on completed research study, Requirement [Import functionality](https://gitlab.com/gitlab-org/gitlab/-/issues/233535),
      Upcoming [Quality Management MVC](https://gitlab.com/groups/gitlab-org/-/epics/3852)
  implementation:
    status: Dashboard
    reasons:
    - Dashboarding - Requirement Creation is instrumented is complete. Tracking issue for gmau dashboard [here](https://gitlab.com/gitlab-data/analytics/-/issues/5270)
  metric_name: TBD
- name: Plan:Certify - Other - Number of Requirements Created Monthly
  base_path: "/handbook/product/performance-indicators/"
  definition: A monthly count of the number of requirements created.
  target: 600 by end of December 2020
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Improvement - [Requirement Import](https://gitlab.com/groups/gitlab-org/-/epics/4347a) feature to release in 13.7
    - Insight - Requirement creation has decreased, which is expected as organizations create requriements and then transition to satisfying them. Added urgency to implement [requirement interaction tracking](https://gitlab.com/gitlab-org/product-analytics/-/issues/370)
    - Insight - Self-managed instances creating requirements continues to grow.   
  implementation:
    status: Dashboard
    reasons:
    - Dashboarding -  accurate instrumentation on Self Managed, still needs verification
      for SaaS - [issue](https://gitlab.com/gitlab-data/analytics/-/issues/5270)
    - Dashboarding - update metrics collection to [track interactions](https://gitlab.com/gitlab-org/product-analytics/-/issues/370)
  metric_name: requirements_created
  sisense_data:
    chart: 9666808
    dashboard: 634539
    embed: v2
  urls:
  - https://gitlab.com/gitlab-data/analytics/-/issues/5270

- name: Create - SMAU - Unique users writing to a Git repository
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed any Git write operation within the last 28 days.
  target: |
    Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU.
  org: Dev Section
  section: dev
  stage: Create
  public: true
  pi_type: SMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - on the median GitLab instance, 33% of users perform a Git write
      operation each month
      ([source](https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard?widget=10435358&udv=1100338)).
    - Insight - on the median Paid GitLab instance (self-managed), 50% of users
      perform a Git write operation each month
      ([source](https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard?widget=10435361&udv=1100338)).
  implementation:
    status: Complete
    reasons:
    - Improvement - AMAU is currently over counted. A deduplicated counter was implemented
      [gitlab#234027](https://gitlab.com/gitlab-org/gitlab/-/issues/234027) in GitLab 13.6.
      The charts do not yet reflect the new counter
      [gitlab#291943](https://gitlab.com/gitlab-org/gitlab/-/issues/291943).
  metric_name: action_monthly_active_users_project_repo
  sisense_data:
    chart: 9967642
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980442
    dashboard: 758607
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard

- name: Create:Source Code - GMAU - Unique users writing to a project Git repository
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed any Git write
    operation within the last 28 days
  target: Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU.
  org: Dev Section
  section: dev
  stage: create
  group: source_code
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Starting in [GitLab 13.6](https://gitlab.com/gitlab-org/gitlab/-/issues/234027)
      AMAU for this metric takes into consideration all repository types.
    - Improvement - work towards providing users more insights while navigating their
      code with [Code Intelligence](https://gitlab.com/groups/gitlab-org/-/epics/1576)
    - Improvement - work towards providing more control over [managing repository
      size](https://gitlab.com/groups/gitlab-org/-/epics/3793)
  implementation:
    status: Complete
    reasons:
    - Enabled on GitLab.com
    - Released for self-managed in GitLab 13.3
  metric_name: action_monthly_active_users_project_repo
  sisense_data:
    chart: 9967642
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980442
    dashboard: 758607
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard?widget=9520571&udv=0
  - https://gitlab.com/gitlab-org/gitlab/-/issues/234027

- name: Create:Source Code Secondary - GMAU - Unique users configuring protected branches
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed any branch protection
    configuration operation within the last 28 days
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: source_code
  public: true
  pi_type: GMAU
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Not currently instrumented
    - Currently planning instrumentation and evaluating if this is a more relevant metric for the Source Code group
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/293014

- name: Create:Source Code Tertiary - GMAU - Unique users configuring push rules
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed any push rules
    configuration operation within the last 28 days
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: source_code
  public: true
  pi_type: GMAU
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Not currently instrumented
    - Currently planning instrumentation and evaluating if this is a more relevant metric for the Source Code group
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/293016

- name: Create:Code Review - GMAU - Unique users using Merge Requests
  base_path: "/handbook/product/performance-indicators/"
  definition: This is defined as users who perform one or more of the following actions in
   a merge request - create, merge, or close a Merge Request.
  target: Undefined - Expect to set baseline in January 2021
  org: Dev Section
  section: dev
  stage: create
  group: code_review
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - Target - Target is undefined as instances continue to upgrade from when metric tracking began. This looks to be stabilizing, but one more month should clarify this for us.
    - Insight - Code Review appears to have about 50% of the MAU of Source Code. This is being investigated in [#1797](https://gitlab.com/gitlab-com/Product/-/issues/1797). Most recent insights are in [this comment](https://gitlab.com/gitlab-com/Product/-/issues/1797#note_458403616).
    - Improvement - Support for [custom commit messages when applying a suggested change](https://gitlab.com/gitlab-org/gitlab/-/issues/25381) will allow more teams with strict commit message guidelines to adopt this feature and maintain conformity with the project.
    - Improvement - Add [reviewers to merge request](https://gitlab.com/groups/gitlab-org/-/epics/1823) to better signal who is responsible for reviewing compared to being assigned without a clear action to take.
  implementation:
    status: Complete
    reasons:
    - Enabled on GitLab.com 2020-07-04
    - Enabled for self-managed on GitLab 13.2
    - Working on more comprehensive MAU tracking in [&4948](https://gitlab.com/groups/gitlab-org/-/epics/4948)
  metric_name: merge_requests_users 
  sisense_data:
    chart: 10426645
    dashboard: 786738
    embed: v2
  sisense_data_secondary:
    chart: 9601815
    dashboard: 664109
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/526749/Create---Code-Review-category-dashboard

- name: Create:Gitaly - Other - Availability
  base_path: "/handbook/product/performance-indicators/"
  definition: Percentage of time during which Gitaly is fully operational and providing
    service to users within SLO parameters. Availability is measured according by
    Apdex (latency) and error rate. Gitaly is considered available when at least 50%
    of users are experiencing satisfactory latency, _and_ 50% of requests are completing
    successfully. If either of these conditions is not met, the service is experiencing
    an outage.
  target: 99.95%, consistent with GitLab.com availability service level objectives
  org: Dev Section
  section: dev
  stage: create
  group: gitaly
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - Instrumentation for this metric started in 13.4 and is still ongoing.
  implementation:
    status: Instrumentation
    reasons:
    - Rolling 7 day metrics available in [Grafana](https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview)
      for GitLab.com. Current availability per Adpex is 99.98%.
    - Improvement - self-managed availability metrics are [planned](https://gitlab.com/gitlab-org/gitlab/-/issues/216683)
  metric_name: gitaly_apdex
  urls:
  - https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview
  - https://gitlab.com/gitlab-org/gitlab/-/issues/216683

- name: Create:Gitaly - Other - Unique instances with Gitaly Cluster enabled
  base_path: "/handbook/product/performance-indicators/"
  definition: Number of recorded GitLab instances with Gitaly Cluster enabled
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: gitaly
  public: true
  pi_type: Other
  product_analytics_type: Self-Managed
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - No target defined as the feature is still being rolled out.
    - Improvement - introduce [Variable Replication Factor and auto-reblancing within a cluster](https://gitlab.com/groups/gitlab-org/-/epics/3372) to enable more enterprise-level adoption.
  implementation:
    status: Complete
    reasons:
    - Instrumentation for reporting on instances with Gitaly Cluster enabled was introduced in 13.0 with the GA of Gitaly Cluster.
  metric_name: gitaly_clusters
  sisense_data:
    chart: 9504807
    dashboard: 728407
    embed: v2
  urls:
  - https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview

- name: Create:Editor - GMAU - Unique users committing via any web editor
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed a Git write
    operation to any respository using the Web IDE, Web Editor or Snippet within a
    stage in the last 28 days
  target: 10% growth month over month for All 
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - New target GMAU to be set once we get cumulative, de-duped data from newly aligned categories.
    - Insight - Even growth across categories, likely due to upgrades and organic growth.
  implementation:
    status: Complete
    reasons:
    - Instrumentation of [Static Site Editor and Wiki to roll up into GMAU](https://gitlab.com/gitlab-org/gitlab/-/issues/283947) completed in 13.7, waiting for data to be reflected in the charts.
  metric_name: action_monthly_active_users_ide_edit 
  sisense_data:
    chart: 9967737
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980340
    dashboard: 758607
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU

- name: Create:Editor - AMAU - Unique users committing by web editor
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed a Git write
    operation to any respository using the Web IDE, Web Editor or Snippet within a
    stage in the last 28 days - users grouped by editor used
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Data collection is beginning, but it's too early to define a target as instances continue to upgrade and report data.
    - Insight - Editing through the Web Editor (single file editor) is 3 to 1 for users of the Web IDE. This confirms data recognized previously based on navigation paths that the single file editor is more widely used. We need to continute monitoring this to determine future investments in the Web IDE.
    - Insight - November saw higher % growth in MAU for the Web IDE (+31%) compared to Web Editor (+10%). We'll be watching to see if this trend continues, which would indicate more users unlocking value in the Web IDE.
    - Note - Important to call out that these are not unique users, so the same user can be reported as using multiple web editors. 
  implementation:
    status: Completed [Dashboard](https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU)
    reasons:
    - Instrumentation is in place for both self-managed and SaaS.
    - Updating dashboards to for Paid / All breakouts
  metric_name: action_monthly_active_users_web_ide_edit, action_monthly_active_users_sfe_edit, action_monthly_active_users_snippet_editor_edit
  sisense_data:
    chart: 9788102
    dashboard: 741875
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU

- name: Create:Editor - Other - Number of Commits per Month from the Web IDE
  base_path: "/handbook/product/performance-indicators/"
  definition: The total number of commits made via the Web IDE.
  target: Maintain organic growth, 600K by end of Q4
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - Commit count remains steady with a general trend upward. 
  implementation:
    status: Complete
    reasons:
    - Instrumentation working and charts updated to include both self-managed and SaaS data.
    - Updating dashboard for Paid / All breakout.
  metric_name: web_ide_commits 
  sisense_data:
    chart: 9974797
    dashboard: 723366
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/723366/Create:Editor-Expanded-for-Embed

- name: Create:Editor - Other - Number of new Snippets per Month
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of new Snippets created each month.
  target: 10% Growth to ~73k Snippets per Month
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Inisght - Overall decline in Snippets since August, but usage remains consistent. Growth in snippet creation may not be the end goal.
    - Improvement - [Snippets with Multiple Files](https://gitlab.com/gitlab-org/gitlab/-/issues/14340) was released in GitLab 13.5 which should continue to drive adoption and value as users upgrade and discover the feature.
  implementation:
    status: Complete
    reasons:
    - Instrumentation for number of snippets is complete for self-managed and SaaS.
    - Instrumenting [MAU for Snippet Views](https://gitlab.com/gitlab-org/gitlab/-/issues/271279) as supporting data point, completed in 13.7.
  metric_name: snippets_change
  sisense_data:
    chart: 9667259
    dashboard: 723366
    embed: v2
  urls:
  - https://gitlab.com/gitlab-data/analytics/-/issues/4400

- name: Create:Editor - AMAU - Unique users committing via the Static Site Editor
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly unique users that have made at least one commit via the static
    site editor.
  target: 110 AMAU by December 30, 2020
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Goal - drive early adoption, with a focus on internal GitLab team members
      editing the Handbook
    - Insight - Dramatic decrease in MAU in November. Verifying data, but it would not be surprising given the shift in group priorities and less time spent investing in adoption blockers. We are still trying to [limit the "noise" in generated MRs](https://gitlab.com/groups/gitlab-org/-/epics/4554) but the real solution will come later next year as part of a [rearchitecture of the WYSIWYG editor](https://gitlab.com/groups/gitlab-org/-/epics/4630) itself. 
    - Insight - Growth will be slow until we can expand the use cases to support creating new pages and make the editor compatible with more static site generators.
    - Insight - While MAU dropped significantly, actions per MAU actually rose slightly, indicating strong activation among retained users.
  implementation:
    status: Instrumentation
    reasons:
    - Usage Ping data available for sessions but not commits. 
    - Improvement - Instrumenting for [Usage Ping in 13.7](https://gitlab.com/gitlab-org/gitlab/-/issues/233994)
  metric_name: static_site_editor_create_commit
  sisensee_data:
    chart: 10039059
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9112733
    dashboard: 684213
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/684213/WIP-Static-Site-Editor-Usage-Metrics
  - https://about.gitlab.com/direction/create/static_site_editor/

- name: Create:Editor - AMAU - Uniques users of Wiki
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly unique users that have viewed or edited a wiki
  target: 10% higher than current month (SaaS and self-managed combined)
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - No target defined
  implementation:
    status: Complete 
    reasons:
    - Still trying to figure out what is causing the dramatic Estimated Self-Managed Uplift
    - Need to verify whether group wiki data is included, which might explain the dramatic growth from October to November (+85%)
  metric_name: action_monthly_active_users_wiki_repo
  sisense_data:
    chart: 9966770
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039382
    dashboard: 758607
    embed: v2
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/230481

- name: Create:Ecosystem - GMAU - MAU of any integration
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly Unique Users of any GitLab integration.
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: ecosystem
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - No target defined
    - Improvement - Adding Group and Instance integration will allow larger sets of
      projects to be integrated easily
    - Improvement - Improvements and new functionality in the Jira integration should
      increase adoption, expanding on the success of our most popular integration
  implementation:
    status: Instrumentation
    reasons:
    - Awaiting implementation of data in Usage Ping
      - December update -- Still unable to implement. Team is working closely with Database team to try to optmize query enough to work. Currently times out before able to return a result.
    - Awaiting implementation of Sisense dashboard (blocked by Usage Ping implementation)
  metric_name: TBD
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/225678
  - https://gitlab.com/gitlab-data/analytics/-/issues/5850
- name: Create:Ecosystem - Other - Total active project integrations
  base_path: "/handbook/product/performance-indicators/"
  definition: The total number of active project service integrations across all usage
    ping data (which includes GitLab.com)
  target: Maintain flat adoption rate relative to overall GitLab growth
  org: Dev Section
  section: dev
  stage: create
  group: ecosystem
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Observation - Growth tracks fairly evenly against overall usage growth (total
      number of projects created), demonstrating flat relative adoption rate of integrations
    - Observation - GitLab.com users integrate at ~1/3 the rate that self-managed users
      do
  implementation:
    status: Dashboard
    reasons:
    - Good overall tracking of project integrations, detailed breakdown available
      per-integration
    - Updating dashboards to for Paid / All breakouts
  metric_name: projects_asana_active, projects_assembla_active, projects_bamboo_active, projects_bugzilla_active, projects_buildkite_active, projects_campfire_active, projects_confluence_active, projects_custom_issue_tracker_active, projects_discord_active, projects_drone_ci_active, projects_emails_on_push_active, projects_external_wiki_active, projects_flowdock_active, projects_github_active, projects_gitlab_slack_application_active, projects_hangouts_chat_active, projects_hipchat_active, projects_irker_active, projects_jenkins_active, projects_jira_active, projects_jira_cloud_active, projects_jira_dvcs_cloud_active, projects_jira_dvcs_server_active, projects_jira_issuelist_active, projects_jira_server_active, projects_mattermost_active, projects_mattermost_slash_commands_active, projects_microsoft_teams_active, projects_packagist_active, projects_pipelines_email_active, projects_pivotaltracker_active, projects_prometheus_active, projects_pushover_active, projects_redmine_active, projects_slack_active, projects_slack_notifications_active, projects_slack_slash_active, projects_slack_slash_commands_active, projects_teamcity_active, projects_unify_circuit_active, projects_webex_teams_active
  sisense_data:
    chart: 8583744
    dashboard: 577690
    embed: v2
  urls: 
- name: Create:Ecosystem - Other - Integrations managed at Group or Instance level
  base_path: "/handbook/product/performance-indicators/"
  definition: The total number of active project integrations that are being defined
    by a Group or Instance integration
  target: Not defined
  org: Dev Section
  section: dev
  stage: create
  group: ecosystem
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - No data so far
  implementation:
    status: Dashboard
    reasons:
    - Usage ping implemented, dashboard not yet built
  metric_name: TBD
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/204802#note_392267011
  - https://gitlab.com/gitlab-data/analytics/-/issues/5849
